# tokens.getData

```javascript
(async() => {
    let token_data = await SOLPay.tokens.getData("TOKEN_ADDRESS"); // {...}
})();
```

### Parameters:

* address: string - the mint address of the token with which to get the data

### Returns:

object (`{...}`) - the raw token data

* data: Uint8Array (`Uint8Array [...]`) - the raw data from the blockchain
* executable: boolean (`false`) - whether the token's account is executable
* lamports: number (`10000`) - the number of lamports in the token's account
* owner: string (`"TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA"`) - the owner of the token's account
* rentEpoch: number (`250`) - the rent epoch

### Throws:

* `SOL Pay SDK Fatal Error: Invalid address ${address}.` - an invalid address was used
* `SOL Pay SDK Fatal Error: No connection found. Use SOLPay.connectNetwork() to connect to the Solana network.` - could not find a connection to the Solana network
* `SOL Pay SDK Fatal Error: Connection did not respond. Use SOLPay.connectNetwork() to connect to the Solana network.` - did not receive response from Solana network


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://solpay-docs.solblaze.org/reference/sdk-reference/tokens-get-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
